# Generated by Django 3.1.2 on 2020-10-13 20:50

from django.conf import settings
import django.contrib.auth.models
import django.contrib.auth.validators
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('phone', models.CharField(max_length=15)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('zip_code', models.CharField(max_length=15)),
            ],
            options={
                'verbose_name': 'city',
                'verbose_name_plural': 'cities',
            },
        ),
        migrations.CreateModel(
            name='Component',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=8, validators=[django.core.validators.MinValueValidator(0)])),
                ('stock', models.DecimalField(decimal_places=2, default=0, max_digits=8, validators=[django.core.validators.MinValueValidator(0)])),
            ],
            options={
                'verbose_name': 'component',
                'verbose_name_plural': 'components',
            },
        ),
        migrations.CreateModel(
            name='ComponentFamily',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'component family',
                'verbose_name_plural': 'components families',
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255)),
                ('last_name', models.CharField(max_length=255)),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=15)),
                ('address', models.CharField(max_length=255)),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.city')),
            ],
            options={
                'verbose_name': 'customer',
                'verbose_name_plural': 'customers',
            },
        ),
        migrations.CreateModel(
            name='Model',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'model',
                'verbose_name_plural': 'models',
            },
        ),
        migrations.CreateModel(
            name='Module',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Module',
                'verbose_name_plural': 'Modules',
            },
        ),
        migrations.CreateModel(
            name='Range',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'range',
                'verbose_name_plural': 'ranges',
            },
        ),
        migrations.CreateModel(
            name='Specification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unit', models.CharField(choices=[('sec_m', 'Section en m'), ('sec_cm', 'Section en cm'), ('sec_mm', 'Section en mm'), ('ep_cm', 'Epaisseur en cm'), ('ep_mm', 'Epaisseur en mm'), ('long_larg_m', 'Longueur et largeur en m'), ('long_larg_cm', 'Longueur et largeur en cm'), ('long_larg_mm', 'Longueur et largeur en mm'), ('long_larg_haut_m', 'Longueur, largeur et hauteur en m'), ('long_larg_haut_cm', 'Longueur, largeur et hauteur en cm'), ('long_larg_haut_mm', 'Longueur, largeur et hauteur en mm')], max_length=255)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'specification',
                'verbose_name_plural': 'specifications',
            },
        ),
        migrations.CreateModel(
            name='UnitOfUse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unit', models.CharField(choices=[('long_cm', 'Longueur en cm'), ('piece', 'Pièce'), ('m2', 'Surface en m²')], max_length=255)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'unit of use',
                'verbose_name_plural': 'units of use',
            },
        ),
        migrations.CreateModel(
            name='Quote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=8, validators=[django.core.validators.MinValueValidator(0)])),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('file', models.CharField(max_length=255, null=True)),
                ('status', models.CharField(choices=[('in_progress', 'En cours'), ('validated', 'Validé'), ('refused', 'Refusé')], max_length=255, null=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.customer')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'quote',
                'verbose_name_plural': 'quotes',
            },
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('contact', models.CharField(max_length=255)),
                ('email', models.EmailField(max_length=254)),
                ('website', models.URLField()),
                ('phone', models.CharField(max_length=15)),
                ('fax', models.CharField(max_length=15)),
                ('address', models.CharField(max_length=255)),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.city')),
            ],
            options={
                'verbose_name': 'provider',
                'verbose_name_plural': 'providers',
            },
        ),
        migrations.CreateModel(
            name='ModuleComponent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('proportion', models.DecimalField(decimal_places=2, default=0, max_digits=8, validators=[django.core.validators.MinValueValidator(0)])),
                ('component', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.component')),
                ('module', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.module')),
            ],
            options={
                'verbose_name': 'module component',
                'verbose_name_plural': 'modules components',
            },
        ),
        migrations.AddField(
            model_name='module',
            name='quote',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.quote'),
        ),
        migrations.AddField(
            model_name='module',
            name='range',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.range'),
        ),
        migrations.AddField(
            model_name='module',
            name='specification',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.specification'),
        ),
        migrations.AddField(
            model_name='module',
            name='unit_of_use',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.unitofuse'),
        ),
        migrations.CreateModel(
            name='ModelComponent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('proportion', models.DecimalField(decimal_places=2, default=0, max_digits=8, validators=[django.core.validators.MinValueValidator(0)])),
                ('component', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.component')),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.model')),
            ],
            options={
                'verbose_name': 'model component',
                'verbose_name_plural': 'models components',
            },
        ),
        migrations.AddField(
            model_name='model',
            name='range',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.range'),
        ),
        migrations.AddField(
            model_name='model',
            name='specification',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.specification'),
        ),
        migrations.AddField(
            model_name='model',
            name='unit_of_use',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.unitofuse'),
        ),
        migrations.AddField(
            model_name='component',
            name='component_family',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.componentfamily'),
        ),
        migrations.AddField(
            model_name='component',
            name='provider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.provider'),
        ),
        migrations.AddField(
            model_name='component',
            name='specification',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.specification'),
        ),
        migrations.AddField(
            model_name='component',
            name='unit_of_use',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='core.unitofuse'),
        ),
    ]
